# -*- coding: utf-8 -*-
from odoo.addons.base.maintenance.migrations import util


def migrate(cr, version):
    util.remove_view(cr, "openerp_website.odoo_blog_options")
    util.remove_view(cr, "openerp_website.event_remove_old_nav")
    util.remove_view(cr, "openerp_website.event_track_remove_old_nav")
    util.remove_view(cr, "openerp_website.remove_event_breadcrumb")
    util.remove_view(cr, "openerp_website.event_description_full")
    util.remove_view(cr, "openerp_website.odoo_forum_header")

    # cr.execute("""
    #     SELECT res_id
    #     FROM ir_model_data
    #     WHERE model='ir.ui.view'
    #     AND module='openerp_website'
    # """)
    # for id in cr.fetchall():
    #     util.remove_view(cr, view_id=id)

    # Erase all cover_properties with the clean new format, keeping only the background-image if provided.
    cr.execute("""
        update blog_post
          set cover_properties = CASE
            WHEN cover_properties ~ '^.*"background-image": "(?!none")[^"]*".*$'
              THEN '{"background-image": "'
                || REGEXP_REPLACE(cover_properties, '^.*"background-image": "([^"]*)".*$', '\\1')
                || '", "background-color": "oe_black", "opacity": 0.4, "resize_class": "o_record_has_cover cover_mid"}'
            ELSE '{"background-image": "none", "background-color": "oe_black", "opacity": 0.4, "resize_class": ""}' END
    """)
